---
# yaml-language-server: $schema=https://kubernetes-schemas.devbu.io/external-secrets.io/externalsecret_v1beta1.json
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: calibre-web-restic
  namespace: default
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: onepassword-connect
  target:
    name: calibre-web-restic-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        RESTIC_REPOSITORY: '{{ .REPOSITORY_TEMPLATE }}/calibre-web'
        RESTIC_PASSWORD: '{{ .RESTIC_PASSWORD }}'
        AWS_ACCESS_KEY_ID: '{{ .AWS_ACCESS_KEY_ID }}'
        AWS_SECRET_ACCESS_KEY: '{{ .AWS_SECRET_ACCESS_KEY }}'
  dataFrom:
    - extract:
        key: volsync-restic-template
---
# yaml-language-server: $schema=https://kubernetes-schemas.devbu.io/volsync.backube/replicationsource_v1alpha1.json
apiVersion: volsync.backube/v1alpha1
kind: ReplicationSource
metadata:
  name: calibre-web
  namespace: default
spec:
  sourcePVC: calibre-web-config
  trigger:
    schedule: "0 7 * * *"
  restic:
    copyMethod: Snapshot
    pruneIntervalDays: 7
    repository: calibre-web-restic-secret
    cacheCapacity: 10Gi
    volumeSnapshotClassName: csi-ceph-blockpool
    storageClassName: rook-ceph-block
    moverSecurityContext:
      runAsUser: 1000
      runAsGroup: 1000
      fsGroup: 1000
    retain:
      daily: 7
      within: 3d
